<?php 

$wp_customize->add_panel(
	'lz_fitness_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'Luzuk Premium')
	)
);
//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'Luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );
//lzCustomLable($wp_customize, 'LogoIcon_displaySet', 'title_tagline', 'Logo Box Icon Display & Color Setting:');
// to show & hide another button
//$wp_customize->add_setting( 'LogoIcon_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'LogoIcon_display', array( 'label' => 'Icon Display', 'section' => 'title_tagline', 'settings' => 'LogoIcon_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Icon', 'hide' => 'Hide Icon', ), ) ); 
// end to show & hide button
addColorPalatOption($wp_customize, 'HeaderLogo_IconColor', 'title_tagline', 'Icon color', '#5da4f2');

addColorPalatOption($wp_customize, 'header_siteTitle_color', 'title_tagline', 'Site Title Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'header_sitetaglinetxt_color', 'title_tagline', 'Site Tagline Color', '#ffffff'); 

//addColorPalatOption($wp_customize, 'HeaderLogo_IconforinnerpageColor', 'title_tagline', 'Icon Color For Inner page', '#ffffff');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '100', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Set Logo Max Width', 'Luzuk' )
    )
);



lzCustomLable($wp_customize, 'stepsSectionPaddingSetting', 'title_tagline', 'Set Logo Box Padding:');

$wp_customize->add_setting(
    'RightHeaderTPadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '31px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTPadding',
    array(
        'settings'      => 'RightHeaderTPadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'RightHeaderBPadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderBPadding',
    array(
        'settings'      => 'RightHeaderBPadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'RightHeaderTLadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '40px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTLadding',
    array(
        'settings'      => 'RightHeaderTLadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Left Padding', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'RightHeaderTRadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'RightHeaderTRadding',
    array(
        'settings'      => 'RightHeaderTRadding',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Right Padding', 'Luzuk' )
    )
);


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'Luzuk Premium' ),
	'panel' => 'lz_fitness_general_panel',
) );

//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'lz_fitness_sticky_header_enable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_sticky_header_enable',
        array(
            'settings'      => 'lz_fitness_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


 
lzCustomLable($wp_customize, 'main_header_settings', 'header_settings', ' Set Padding For Navigation Box:');

$wp_customize->add_setting(
	'pages_logoTmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '55px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoTmargin',
	array(
		'settings'      => 'pages_logoTmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Top Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoBmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '5px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoBmargin',
	array(
		'settings'      => 'pages_logoBmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Bottom Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoLmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '40px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoLmargin',
	array(
		'settings'      => 'pages_logoLmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Left Padding', 'Luzuk' )
	)
);
$wp_customize->add_setting(
	'pages_logoRmargin',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( '150px', 'Luzuk' )
	)
);
$wp_customize->add_control(
	'pages_logoRmargin',
	array(
		'settings'      => 'pages_logoRmargin',
		'section'       => 'header_settings',
		'type'          => 'text',
		'label'         => __( 'Right Padding', 'Luzuk' )
	)
);

lzCustomLable($wp_customize, 'header_OtherC', 'header_settings', 'Header Colors:');

addColorPalatOption($wp_customize, 'headerbackgroundc_color', 'header_settings', 'Header Background Color', '#ffffff');


$wp_customize->add_setting(
    'Header_hightlightborder_color_one', array(
        'default'           => '#50b2f3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_hightlightborder_color_one',array(
            'settings'      => 'Header_hightlightborder_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Header Highlight Border Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'Header_hightlightborder_color_two', array(
        'default'           => '#8995e2',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'Header_hightlightborder_color_two',array(
            'settings'      => 'Header_hightlightborder_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Header Highlight Border Color Two ', 'Luzuk Premium' ),
        )
    )
); 


addColorPalatOption($wp_customize, 'headercurrentmenu_color', 'header_settings', 'Header Current Menu Color', '#293263'); 
addColorPalatOption($wp_customize, 'headermenu_color', 'header_settings', 'Header Menu Color', '#293263');
addColorPalatOption($wp_customize, 'headermenusmallbrss_color', 'header_settings', 'Header Menu Border Color', '#55bbfe');

addColorPalatOption($wp_customize, 'headerhovermenu_color', 'header_settings', 'Header Menu Hover Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'headersubmenubgss_color', 'header_settings', 'Header Dropdown Background Color', '#434b76d1');

addColorPalatOption($wp_customize, 'headersubmenubgssBrs_color', 'header_settings', 'Header Dropdown Border Color', '#5ba7f3');

addColorPalatOption($wp_customize, 'headersubmenu_color', 'header_settings', 'Header Sub Menu Color', '#ffffff');
addColorPalatOption($wp_customize, 'headersubmenuicons_color', 'header_settings', 'Header Sub Menu Icon Color', '#ffffff');


addColorPalatOption($wp_customize, 'headersubmenuhover_color', 'header_settings', 'Header Sub Menu hover Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'headersubmenuborderc_color', 'header_settings', 'Header Sub Menu Hover Icon Color', '#5ba7f3');
addColorPalatOption($wp_customize, 'headerdropdowncurrentsubmenu_color', 'header_settings', 'Header Current Sub Menu Color', '#5ba7f3');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', 'header_settings' , 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Top Header BG Color', '#000');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#000');

$wp_customize->add_setting(
    'InnerPageTitleBgss_color_one', array(
        'default'           => '#7989f8',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerPageTitleBgss_color_one',array(
            'settings'      => 'InnerPageTitleBgss_color_one',
            'section'       => 'header_settings',
            'label'         => __( 'Select Header Background Color 1 for Innerpage ', 'Luzuk Premium' ),
        )
    )
);
$wp_customize->add_setting(
    'InnerPageTitleBgss_color_two', array(
        'default'           => '#50b2f1',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerPageTitleBgss_color_two',array(
            'settings'      => 'InnerPageTitleBgss_color_two',
            'section'       => 'header_settings',
            'label'         => __( 'Select Header Background Color 2 for Innerpage', 'Luzuk Premium' ),
        )
    )
); 



//addColorPalatOption($wp_customize, 'InnerpagesHeaderBackground_color', 'header_settings', 'Select Header Background Color for Innerpage', '#1d224c');

//  $wp_customize->add_setting(
//     'InnerpagesHeaderBackground_color', array(
//         'default'           => '#7989f8',
//         'sanitize_callback' => 'sanitize_hex_color',
//     )
// );
// $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'InnerpagesHeaderBackground_color',array(
//             'settings'      => 'InnerpagesHeaderBackground_color',
//             'section'       => 'header_settings',
//             'label'         => __( 'Select Header Background Color for Innerpage', 'Luzuk Premium' ),
//         )
//     )
// );
//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'Luzuk Premium'),
	'panel' => 'lz_fitness_general_panel',
) );

   $wp_customize->add_setting('luzuk_premium_color_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_color_section_lbl',
        array(
            'settings'      => 'luzuk_premium_color_section_lbl',
            'section'       => 'colors',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Breadcrumb', 'hide' => 'Hide Breadcrumb', ), ) ); 

$wp_customize->add_setting(
        'lz_fitness_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_breadcrumbhometxt',
        array(
            'settings'      => 'lz_fitness_breadcrumbhometxt',
            'section'       => 'breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here:', 'luzuk' )
        )
    );

//Inner page breadcrumbbox title color
addColorPalatOption($wp_customize, 'innerpage_breadcrumbtitlecolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Title Color', 'ffffff');
//Inner page breadcrumbbox current title color
addColorPalatOption($wp_customize, 'innerpage_breadcrumbcurrenttitlecolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Current Title Color', 'ffffff');
addColorPalatOption($wp_customize, 'innerpage_breadcrumbcurrenttitlehovercolor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Current Title Hover Color', '#ffffff');

// addColorPalatOption($wp_customize, 'innerpage_breadcrumbBgssColor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Background Color', '#6d7bf5');
// addColorPalatOption($wp_customize, 'innerpage_breadcrumbBgssBrssColor', 'breadcrumb_settings', 'Inner Page Breadcrumb Box Border Color', '#6d7bf5');

 

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'postpagedate_settings',
	array(
		'title' => __( 'Posts Page Date, Socials & Inner Page Header Animation Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date Display', 'section' => 'postpagedate_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Date', 'hide' => 'Hide Post Date', ), ) ); 

// end to show & hide button

//for POSTPAGEDATE to show & hide button

$wp_customize->add_setting( 'postsocials_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postsocials_button_display', array( 'label' => 'Post socials Display', 'section' => 'postpagedate_settings', 'settings' => 'postsocials_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Post Socials', 'hide' => 'Hide Post Socials', ), ) ); 

// end to show & hide button
$wp_customize->add_setting( 'innerbubbles_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'innerbubbles_animation_display', array( 'label' => 'Inner Pages Header Animation Display', 'section' => 'postpagedate_settings', 'settings' => 'innerbubbles_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Animation', 'hide' => 'Hide Animation', ), ) ); 

addColorPalatOption($wp_customize, 'lz_fitness_innerpageallheader_animatedbx_Color', 'postpagedate_settings', 'Animation Icon Color', '#ffffff');


//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_copyright_settings',
	array(
		'title' => __( 'Footer Copyright Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


backgroundManager($wp_customize, 'footer', 'footer_copyright_settings', $color='#ffffff', get_template_directory_uri().'/images/footer-bg.jpg', 'color');



$wp_customize->add_setting(
    'FooterOverlay_ContentBox_color_one', array(
        'default'           => '#5d6fe6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FooterOverlay_ContentBox_color_one',array(
            'settings'      => 'FooterOverlay_ContentBox_color_one',
            'section'       => 'footer_copyright_settings',
            'label'         => __( 'Footer Overlay Background Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'FooterOverlay_ContentBox_color_two', array(
        'default'           => '#5d6fe6',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'FooterOverlay_ContentBox_color_two',array(
            'settings'      => 'FooterOverlay_ContentBox_color_two',
            'section'       => 'footer_copyright_settings',
            'label'         => __( 'Footer Overlay Background Color Two ', 'Luzuk Premium' ),
        )
    )
); 

lzCustomLable($wp_customize, 'Footerbubble_animdisplay', 'footer_copyright_settings', 'Bubble Animation Display Setting:');
// to show & hide another button
$wp_customize->add_setting( 'footerbub_animation_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'footerbub_animation_display', array( 'label' => 'Bubble Animation Display', 'section' => 'footer_copyright_settings', 'settings' => 'footerbub_animation_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Bubble Animation', 'hide' => 'Hide Bubble Animation', ), ) ); 


lzCustomLable($wp_customize, 'FooterSectionPaddingSetting', 'footer_copyright_settings', 'Set Footer Top & Bottom Padding');

$wp_customize->add_setting(
    'FooterTpadding', 
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '120px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'FooterTpadding',
    array(
        'settings'      => 'FooterTpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'FooterBpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '120px', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'FooterBpadding',
    array(
        'settings'      => 'FooterBpadding',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);

lzCustomLable($wp_customize, 'FooterSectionphonetaglineSetting', 'footer_copyright_settings', 'Phone Tagline & Phone Number');

$wp_customize->add_setting(
    'footerphone_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Call Us', 'Luzuk Premium' )
    ) 
);
$wp_customize->add_control(
    'footerphone_title',
    array(
        'settings'      => 'footerphone_title',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Add Phone Tagline Here:', 'Luzuk Premium' )
    )
);

$wp_customize->add_setting(
    'footerphone_number',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '1800-123-4567', 'Luzuk Premium' )
    ) 
);
$wp_customize->add_control(
    'footerphone_number',
    array(
        'settings'      => 'footerphone_number',
        'section'       => 'footer_copyright_settings',
        'type'          => 'text',
        'label'         => __( 'Add Phone Number Here:', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footer_phoneNumIcon_color', 'footer_copyright_settings', 'Phone Number Icon Color', '#6c97f5');
addColorPalatOption($wp_customize, 'footer_PhoneNumIcoBgs_color', 'footer_copyright_settings', 'Phone Number Icon Background Color', '#ffffff');



$wp_customize->add_setting(
    'footer_copyrighttext',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'Copyright © 2020 Laundry Services', 'Luzuk Premium' )
    ) 
);
$wp_customize->add_control(
    'footer_copyrighttext',
    array(
        'settings'      => 'footer_copyrighttext',
        'section'       => 'footer_copyright_settings',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'footer_copyrighttext_color', 'footer_copyright_settings', 'Copyright Footer Text Color', '#ffffff');



$wp_customize->add_setting(
        'FooterBottom_button',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Terms & Conditions', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'FooterBottom_button',
        array(
            'settings'      => 'FooterBottom_button',
            'section'       => 'footer_copyright_settings',
            'type'          => 'text',
            'label'         => __( 'Terms & Conditions Text Here:', 'Luzuk' )
        )
    );
$wp_customize->add_setting('FooterBottomlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('FooterBottomlink',
    array(
        'settings'      => 'FooterBottomlink',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link For Terms & Conditions Text:', 'Luzuk' )
    )
);    

$wp_customize->add_setting(
        'FooterBottomPrivacy_button',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Privacy Policy', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'FooterBottomPrivacy_button',
        array(
            'settings'      => 'FooterBottomPrivacy_button',
            'section'       => 'footer_copyright_settings',
            'type'          => 'text',
            'label'         => __( 'Privacy Policy Text Here:', 'Luzuk' )
        )
    );
$wp_customize->add_setting('FooterBottomPrivacylink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('FooterBottomPrivacylink',
    array(
        'settings'      => 'FooterBottomPrivacylink',
        'section'       => 'footer_copyright_settings',
        'type'          => 'url',
        'label'         => __( 'Add Link For Privacy Policy Text:', 'Luzuk' )
    )
);    




//theme Footer title Color
addColorPalatOption($wp_customize, 'footer_title_color', 'footer_copyright_settings', 'Footer Title Color', '#fff');

//theme Footer icon Color
addColorPalatOption($wp_customize, 'footer_icon_color', 'footer_copyright_settings', 'Footer Icon Color', '#ffffff');
//theme Footer icon hover Color
addColorPalatOption($wp_customize, 'footer_iconhover_color', 'footer_copyright_settings', 'Footer Icon Hover Color', '#293263');

//theme Footer text Color
addColorPalatOption($wp_customize, 'footer_text_color', 'footer_copyright_settings', 'Footer Text Color', '#ffffff');


addColorPalatOption($wp_customize, 'footer_menu_color', 'footer_copyright_settings', 'Footer Menu Color', '#ffffff');

//theme Footer menu hover Color
addColorPalatOption($wp_customize, 'footer_menuhover_color', 'footer_copyright_settings', 'Footer Menu Hover Color', '#ffffff');

//theme Footer menu date Color
addColorPalatOption($wp_customize, 'footer_menudate_color', 'footer_copyright_settings', 'Footer Menu Date Text Color', '#293263');

//theme Footer social Color
addColorPalatOption($wp_customize, 'footer_social_color', 'footer_copyright_settings', 'Footer Social Color', '#ffffff');

//theme Footer social Hover Color
addColorPalatOption($wp_customize, 'footer_socialhover_color', 'footer_copyright_settings', 'Footer Social Hover Color', '#293263');

//theme Footer table text Color
addColorPalatOption($wp_customize, 'footer_tabletext_color', 'footer_copyright_settings', 'Footer Table Text Color', '#ffffff');
//theme Footer table border Color
addColorPalatOption($wp_customize, 'footer_tableborder_color', 'footer_copyright_settings', 'Footer Table, Footer Title & Posts Menu Border Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_otherborderss_color', 'footer_copyright_settings', 'Footer Other Borders Color', '#bbc3f2');


addColorPalatOption($wp_customize, 'footer_formlabeltxt_color', 'footer_copyright_settings', 'Footer Form label Text Color', '#ffffff');

//theme Footer form Color
addColorPalatOption($wp_customize, 'footer_form_color', 'footer_copyright_settings', 'Footer Form Text & Placeholder Text Color', '#293263');

//theme Footer form border Color
addColorPalatOption($wp_customize, 'footer_formborder_color', 'footer_copyright_settings', 'Footer Form Text Fields Background Color', '#fff');


//theme Footer form button Color
addColorPalatOption($wp_customize, 'footer_formbtn_color', 'footer_copyright_settings', 'Footer Form Button Text Color', '#293263');

//theme Footer Form Button Background Color
addColorPalatOption($wp_customize, 'footer_formbtnbg_color', 'footer_copyright_settings', 'Footer Form Button Background Color', '#ffffff');

addColorPalatOption($wp_customize, 'footer_formallotherfbgss_color', 'footer_copyright_settings', 'Footer Other Fields Background Color', '#293263');

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'lz_fitness_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'Luzuk Premium' ),
		'panel' => 'lz_fitness_general_panel',
	)
);


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'lz_fitness_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Sidebar', 'hide' => 'Hide Sidebar', ), ) ); 
// end to show & hide button

//addColorPalatOption($wp_customize, 'lz_fitness_shoppageheaderbg_color', 'lz_fitness_shopsidebar_settings', 'Shop Pages Top Header Background Color', '#2e2e2e');


$wp_customize->add_section(
	'innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
); 

 $wp_customize->add_setting('luzuk_premium_colorsetting_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_colorsetting_section_lbl',
        array(
            'settings'      => 'luzuk_premium_colorsetting_section_lbl',
            'section'       => 'innerpageshortcode_page_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);



$wp_customize->add_section(
	'lz_fitness_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Fonts Settings', 'Luzuk' ),
		'panel' => 'lz_fitness_general_panel',
	)
);

   $wp_customize->add_setting('luzuk_premium_innerpage_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_innerpage_section_lbl',
        array(
            'settings'      => 'luzuk_premium_innerpage_section_lbl',
            'section'       => 'lz_fitness_innerpagefont_settings',
            'label'         => __( 'Note:', 'luzuk-premium' ),  
            'description'   => __( '<b>This section available only for PRO version</b><br>If you want this section click on <b>Go Pro</b>', 'luzuk-premium' ),
        )
    )
);